Package com.independentsoft.office.diagrams

# Class LayoutNode

java.lang.Object
com.independentsoft.office.diagrams.LayoutNode

All Implemented Interfaces:
  `IElement`, `ILayoutNodeElement`

public class LayoutNode extends Object implements IElement, ILayoutNodeElement
The Class LayoutNode.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LayoutNode()`
  Instantiates a new layout node.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `LayoutNode`
  `clone()`
  `ChildOrder`
  `getChildOrder()`
  Gets the child order.
  `List<ILayoutNodeElement>`
  `getElements()`
  Gets the elements.
  `String`
  `getMoveWith()`
  Gets the move with.
  `String`
  `getName()`
  Gets the name.
  `String`
  `getStyleLabel()`
  Gets the style label.
  `void`
  `setChildOrder​(ChildOrder childOrder)`
  Sets the child order.
  `void`
  `setMoveWith​(String moveWith)`
  Sets the move with.
  `void`
  `setName​(String name)`
  Sets the name.
  `void`
  `setStyleLabel​(String styleLabel)`
  Sets the style label.
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### LayoutNode

    public LayoutNode()
    Instantiates a new layout node.

- ## Method Details

  - ### clone

    public LayoutNode clone()
    Specified by:
      `clone` in interface `IElement`
    Specified by:
      `clone` in interface `ILayoutNodeElement`
    Overrides:
      `clone` in class `Object`

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### getElements

    public List<ILayoutNodeElement> getElements()
    Gets the elements.
    Returns:
      the elements

  - ### getChildOrder

    public ChildOrder getChildOrder()
    Gets the child order.
    Returns:
      the child order

  - ### setChildOrder

    public void setChildOrder​(ChildOrder childOrder)
    Sets the child order.
    Parameters:
      `childOrder` - the new child order

  - ### getMoveWith

    public String getMoveWith()
    Gets the move with.
    Returns:
      the move with

  - ### setMoveWith

    public void setMoveWith​(String moveWith)
    Sets the move with.
    Parameters:
      `moveWith` - the new move with

  - ### getName

    public String getName()
    Gets the name.
    Returns:
      the name

  - ### setName

    public void setName​(String name)
    Sets the name.
    Parameters:
      `name` - the new name

  - ### getStyleLabel

    public String getStyleLabel()
    Gets the style label.
    Returns:
      the style label

  - ### setStyleLabel

    public void setStyleLabel​(String styleLabel)
    Sets the style label.
    Parameters:
      `styleLabel` - the new style label